## org.codehaus.groovy.ast.expr
Class ClosureExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ClosureExpression

    public class ClosureExpression

extends Expression

Represents a closure creation expression such as { statement; } or { i : statement; } or { i, x, String y: statement }

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`ClosureExpression(Parameter[] parameters, Statement code)`

Method Summary
`Statement` `getCode()`
`Parameter[]` `getParameters()`
`VariableScope` `getVariableScope()`
`boolean` `isParameterSpecified()`
`void` `setVariableScope(VariableScope variableScope)`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode
`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClosureExpression

    public ClosureExpression(Parameter[] parameters,
                             Statement code)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getCode

    public Statement getCode()

### getParameters

    public Parameter[] getParameters()

### isParameterSpecified

    public boolean isParameterSpecified()

### getVariableScope

    public VariableScope getVariableScope()

### setVariableScope

    public void setVariableScope(VariableScope variableScope)

Copyright © 2003-2009 The Codehaus. All rights reserved.